This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 875670 - Review Request: ops4j-base - OPS4J Base
Review Request: ops4j-base - OPS4J Base
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gerard Ryan
Fedora Extras Quality Assurance
:
Depends On: 875668
Blocks: 875673 875674 875676
  Show dependency treegraph
 
Reported: 2012-11-12 05:48 EST by gil cattaneo
Modified: 2013-08-09 16:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 16:48:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gerard: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-11-12 05:48:19 EST
Spec URL: http://gil.fedorapeople.org/ops4j-base.spec
SRPM URL: http://gil.fedorapeople.org/ops4j-base-1.4.0-1.fc16.src.rpm
Description: Utility classes and extensions to be used in OPS4J projects.
Fedora Account System Username: gil
Comment 2 Gerard Ryan 2013-08-09 13:43:15 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'

- [!]: License field in the package spec file matches the actual license.
  Spec file says: "ASL 2.0 and BSD and MIT". I didn't see any BSD or
  MIT files, but the following file is EPL:
	org.ops4j.base-base-1.4.0/ops4j-base-io/src/main/java/org/ops4j/io/ZipExploder.java

- [!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

- [!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ops4j-base-
     javadoc
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 5 files have unknown license.
     Detailed output of licensecheck in /home/grdryn/875670-ops4j-
     base/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ops4j-base-1.4.0-1.fc20.noarch.rpm
          ops4j-base-javadoc-1.4.0-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ops4j-base ops4j-base-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Jar and class files in source
-----------------------------
./org.ops4j.base-base-1.4.0/ops4j-base-io/src/test/resources/dirscanner/subdir/subdir/bundle4.jar
./org.ops4j.base-base-1.4.0/ops4j-base-io/src/test/resources/dirscanner/subdir/bundle3.jar
./org.ops4j.base-base-1.4.0/ops4j-base-io/src/test/resources/dirscanner/bundle2.jar
./org.ops4j.base-base-1.4.0/ops4j-base-io/src/test/resources/dirscanner/bundle1.jar


Requires
--------
ops4j-base (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.slf4j:slf4j-api)

ops4j-base-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
ops4j-base:
    mvn(org.ops4j.base:ops4j-base-exec)
    mvn(org.ops4j.base:ops4j-base-io)
    mvn(org.ops4j.base:ops4j-base-lang)
    mvn(org.ops4j.base:ops4j-base-monitors)
    mvn(org.ops4j.base:ops4j-base-net)
    mvn(org.ops4j.base:ops4j-base-spi)
    mvn(org.ops4j.base:ops4j-base-store)
    mvn(org.ops4j.base:ops4j-base-util)
    mvn(org.ops4j.base:ops4j-base-util-collections)
    mvn(org.ops4j.base:ops4j-base-util-property)
    mvn(org.ops4j.base:ops4j-base-util-xml)
    mvn(org.ops4j:base)
    ops4j-base
    osgi(org.ops4j.base.exec)
    osgi(org.ops4j.base.io)
    osgi(org.ops4j.base.lang)
    osgi(org.ops4j.base.monitors)
    osgi(org.ops4j.base.net)
    osgi(org.ops4j.base.spi)
    osgi(org.ops4j.base.store)
    osgi(org.ops4j.base.util)
    osgi(org.ops4j.base.util.collections)
    osgi(org.ops4j.base.util.property)
    osgi(org.ops4j.base.util.xml)

ops4j-base-javadoc:
    ops4j-base-javadoc



Source checksums
----------------
https://github.com/ops4j/org.ops4j.base/archive/base-1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 8db36fd94950b5a467a8ee01619350d065a3f336c066cac7cb839ca1c0ab8a1e
  CHECKSUM(SHA256) upstream package : 8db36fd94950b5a467a8ee01619350d065a3f336c066cac7cb839ca1c0ab8a1e
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 875670
Comment 3 gil cattaneo 2013-08-09 14:37:55 EDT
(In reply to Gerard Ryan from comment #2)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Bundled jar/class files should be removed before build
>   Note: Jar files in source (see attachment)
>   See:
> http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.
> 2F_Other_bundled_software'

 they empty jars file used as resources for testing
 ops4j-base-io/src/test/resources/dirscanner/bundle1.jar
 ops4j-base-io/src/test/resources/dirscanner/bundle2.jar
 ops4j-base-io/src/test/resources/dirscanner/subdir/bundle3.jar
 ops4j-base-io/src/test/resources/dirscanner/subdir/subdir/bundle4.jar
 contains the empty jars archive
 ops4j-base-io/src/test/resources/dirscanner.zip

if i must remove these ones, i should disable test suite

> - [!]: License field in the package spec file matches the actual license.
>   Spec file says: "ASL 2.0 and BSD and MIT". I didn't see any BSD or
>   MIT files, but the following file is EPL:
> 	org.ops4j.base-base-1.4.0/ops4j-base-io/src/main/java/org/ops4j/io/
> ZipExploder.java

fixed

> - [!]: If the package is under multiple licenses, the licensing breakdown
> must
>      be documented in the spec.
> 
> - [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> 
reported @ https://ops4j1.jira.com/browse/BASE-40


Spec URL: http://gil.fedorapeople.org/ops4j-base.spec
SRPM URL: http://gil.fedorapeople.org/ops4j-base-1.4.0-2.fc19.src.rpm
Comment 4 Gerard Ryan 2013-08-09 14:45:35 EDT
(In reply to gil cattaneo from comment #3)
> (In reply to Gerard Ryan from comment #2)
> > 
> > Issues:
> > =======
> > - Bundled jar/class files should be removed before build
> >   Note: Jar files in source (see attachment)
> >   See:
> > http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.
> > 2F_Other_bundled_software'
> 
>  they empty jars file used as resources for testing
>  ops4j-base-io/src/test/resources/dirscanner/bundle1.jar
>  ops4j-base-io/src/test/resources/dirscanner/bundle2.jar
>  ops4j-base-io/src/test/resources/dirscanner/subdir/bundle3.jar
>  ops4j-base-io/src/test/resources/dirscanner/subdir/subdir/bundle4.jar
>  contains the empty jars archive
>  ops4j-base-io/src/test/resources/dirscanner.zip
> 
> if i must remove these ones, i should disable test suite

Oh yeah, that was an issue generated by the tool. I intended to insert a comment saying that those other ones were fine, since they're just empty files.

All looks good now. Thanks for packaging!
Comment 5 gil cattaneo 2013-08-09 15:29:50 EDT
Thanks!

New Package SCM Request
=======================
Package Name: ops4j-base
Short Description: OPS4J Base
Owners: gil
InitialCC: java-sig
Comment 6 Jon Ciesla 2013-08-09 15:39:28 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.